### Method

# Gdk ContentFormatsBuilderto_formats

#### Declaration [src]

    GdkContentFormats*
    gdk_content_formats_builder_to_formats (
      GdkContentFormatsBuilder* builder
    )

#### Description [src]

Creates a new `GdkContentFormats` from the given `builder`.

The given `GdkContentFormatsBuilder` is reset once this function returns; you cannot call this function multiple times on the same `builder` instance.

This function is intended primarily for bindings. C code should use `gdk_content_formats_builder_free_to_formats()`.

#### Return value

Type: `GdkContentFormats`

The newly created `GdkContentFormats` with all the formats added to `builder`.

The caller of the method takes ownership of the data, and is responsible for freeing it.